#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kwayland-server
Version: 5.20.4
Release:        %mkrel %{rel}
Summary:        Wayland server components built on KDE Frameworks
Group:          Graphical desktop/KDE
License:        LGPLv2+ and MIT and BSD
Url:            https://cgit.kde.org/%{name}.git
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  doxygen
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant

BuildRequires:  kf5-macros

BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5WaylandClient)

BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5Wayland)

BuildRequires:  cmake(PlasmaWaylandProtocols)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-server)

%description
KDE Library for integration with the Wayland display server.

%files
%_kf5_categoriesdir/kwaylandserver.categories

#--------------------------------------------------------------------

%define major   5
%define libname %mklibname kwaylandserver %{major}

%package -n %{libname}
Summary:        Wayland server components built on KDE Frameworks
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libname}
KDE Library for working with the Wayland display server.

%files -n %{libname}
%{_kf5_libdir}/libKWaylandServer.so.%{major}{,.*}

#--------------------------------------------------------------------

%define devname %mklibname kwaylandserver -d

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains header files needed if you wish to build applications
based on %name.

%files -n %{devname}
%doc %{_qt5_docdir}/KWaylandServer.*
%{_includedir}/KWaylandServer/
%{_includedir}/kwaylandserver_version.h
%{_kf5_libdir}/cmake/KWaylandServer/
%{_kf5_libdir}/libKWaylandServer.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5 -DBUILD_QCH=ON
%cmake_build

%install
%cmake_install


%changelog
* Mon Dec 07 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1654196
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1645410
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1639987
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 5.20.1-1.mga8
+ Revision: 1637740
- New version 5.20.1

* Tue Oct 13 2020 daviddavid <daviddavid> 5.20.0-1.mga8
+ Revision: 1635444
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 5.19.5-1.mga8
+ Revision: 1620781
- New version 5.19.5

* Wed Jul 29 2020 daviddavid <daviddavid> 5.19.4-1.mga8
+ Revision: 1609606
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 5.19.3-1.mga8
+ Revision: 1603005
- New version 5.19.3

* Tue Jun 23 2020 daviddavid <daviddavid> 5.19.2-1.mga8
+ Revision: 1598720
- New version 5.19.2

* Fri Jun 19 2020 daviddavid <daviddavid> 5.19.1-2.mga8
+ Revision: 1596578
- submit to core/release

* Wed Jun 17 2020 daviddavid <daviddavid> 5.19.1-1.mga8
+ Revision: 1594105
- initial package kwayland-server

